// Controls.h - Obsahuje deklarace funkcí tvořících rozhraní pro práci s ovládacími prvky aplikace
// Autor:   Jan Benda
// Datum:   25.10.2020


#ifndef __CONTROLS_H__
#define __CONTROLS_H__

#include "framework.h"

namespace Controls
	{
	void CreateControls(HWND hWnd, HINSTANCE hInstance);

	std::string getText(HWND iHWND, int iIDC);
	void insertItem(HWND iHWND, int iIDC, std::string iItem);
	std::string getItem(HWND iHWND, int iIDC);
	std::string itemFilename(std::string iItem);
	short itemLabel(std::string iItem);
	void deleteItem(HWND iHWND, int iIDC, std::string iFilename);
	void clearListBox(HWND iHWND, int iIDC);

	std::string ws2s(const std::wstring& s);
	std::wstring s2ws(const std::string& s);

	void hideControls(HWND hWnd);
	void showControls(HWND hWnd);
	void enableControls(HWND hWnd, const bool test, const bool train);
	void disableControls(HWND hWnd);
	}

#endif /*__CONTROLS_H__*/